%define debug_package %{nil}

Name:           lv2core
Version:        3.0
Release:        1%{?dist}

Summary:        An Audio Plugin Standard

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://lv2plug.in
Source:         http://lv2plug.in/spec/lv2core-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python

%description
There are a large number of open source and free software synthesis
packages in use or development at this time. This API ('LV2')
attempts to give programmers the ability to write simple 'plugin'
audio processors in C/C++ and link them dynamically ('plug') into
a range of these packages ('hosts').  It should be possible for any
host and any plugin to communicate completely through this interface.

LV2 is a successor to LADSPA, created to address the limitations of
LADSPA which many hosts have outgrown.

%package        devel
Summary:        API for the LV2 Audio Plugin Standard
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
lv2-devel contains the lv2.h header file.

Definitive technical documentation on LV2 plug-ins for both the host
and plug-in is contained within copious comments within the lv2.h
header file.

%prep
%setup -q

%build
PREFIX=%{_prefix} ./waf configure --libdir=%{_libdir}/
./waf %{?_smp_mflags} build

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING README
%defattr(-,root,root,-)
%{_libdir}/lv2

%files devel
%defattr(-,root,root,-)
%{_includedir}/lv2.h
%{_libdir}/pkgconfig/lv2core.pc

%changelog
* Mon Dec 8 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 3.0-1
- switch to Anthony Green's spec file for Fedora (from Arnaud
  Gomes-do-Vale original spec file for Planet CCRMA)
- upgrade to 3.0, switch to waf configuration and build tool
- specify libdir, otherwise x86_64 build ends up in /usr/lib
  (it needs the trailing "/")

* Mon Nov 10 2008 Anthony Green <green@redhat.com> - 2.0-2
- Don't generate a debug package.

* Tue Nov 04 2008 Anthony Green <green@redhat.com> - 2.0-1
- Upgrade

* Tue Jan 22 2008 Anthony Green <green@redhat.com> - 1.0-2
- Fix License tag.

* Mon Jan 21 2008 Anthony Green <green@redhat.com> - 1.0-1
- Upgraded source.

* Thu Mar 15 2007 Anthony Green <green@redhat.com> - 1.0-0.1.beta1
- Created.

